---
title: Animation.reverse()
slug: Web/API/Animation/reverse
tags:
  - API
  - Animation
  - Interface
  - Method
  - Reference
  - Web Animations
  - reverse
  - waapi
  - web animations api
---
<div>{{APIRef("Web Animations")}}{{SeeCompatTable}}</div>

<p>The <strong><code>Animation.reverse()</code></strong> method of the {{ domxref("Animation") }} Interface reverses the playback direction, meaning the animation ends at its beginning. If called on an unplayed animation, the whole animation is played backwards. If called on a paused animation, the animation will continue in reverse. </p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">animation.reverse();
</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>{{jsxref("undefined")}}</p>

<h2 id="Example">Example</h2>

<p>In the <a href="http://codepen.io/rachelnabors/pen/PNYGZQ?editors=0010">Growing/Shrinking Alice Game</a> example, clicking or tapping the bottle causes Alice's growing animation (<code>aliceChange</code>) to play backwards, causing her to get smaller. It is done by setting <code>aliceChange</code>'s {{ domxref("Animation.playbackRate") }} to <code>-1</code> like so:</p>

<pre class="brush: js">var shrinkAlice = function() {
  // play Alice's animation in reverse
  aliceChange.playbackRate = -1;
  aliceChange.play();

  // play the bottle's animation
  drinking.play()
}</pre>

<p>But it could also have been done by calling <code>reverse()</code> on <code>aliceChange</code> like so:</p>

<pre class="brush: js">var shrinkAlice = function() {
  // play Alice's animation in reverse
  aliceChange.reverse();

  // play the bottle's animation
  drinking.play()
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Animations', '#dom-animation-reverse', 'reverse()')}}</td>
   <td>{{Spec2("Web Animations")}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Animation.reverse")}}</p>
</div>

<h2 id="See_also" style="line-height: 30px; font-size: 2.14285714285714rem;">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a></li>
 <li>{{domxref("Animation")}} for other methods and properties you can use to control web page animation.</li>
 <li>{{domxref("Animation.pause()")}} to pause an animation.</li>
 <li>{{domxref("Animation.play()")}} to move an animation forward. </li>
</ul>
